--
-- Tablo için tablo yapısı `admin`
--

CREATE TABLE IF NOT EXISTS `admin` (
  `admin_id` int(11) NOT NULL AUTO_INCREMENT,
  `admin_username` varchar(200) CHARACTER SET latin1 NOT NULL,
  `admin_password` varchar(300) CHARACTER SET latin1 NOT NULL,
  `admin_email` varchar(300) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`admin_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED AUTO_INCREMENT=2 ;

--
-- Tablo döküm verisi `admin`
--

INSERT INTO `admin` (`admin_id`, `admin_username`, `admin_password`, `admin_email`) VALUES
(1, 'admin', 'e10adc3949ba59abbe56e057f20f883e', 'admin@hotmail.com');

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `advertisments`
--

CREATE TABLE IF NOT EXISTS `advertisments` (
  `a_id` int(11) NOT NULL AUTO_INCREMENT,
  `a_title` varchar(200) CHARACTER SET latin1 DEFAULT NULL,
  `a_desc` varchar(300) CHARACTER SET latin1 DEFAULT NULL,
  `a_url` text CHARACTER SET latin1,
  `a_img` varchar(100) CHARACTER SET latin1 DEFAULT NULL,
  `status` enum('0','1','2') CHARACTER SET latin1 DEFAULT '1',
  PRIMARY KEY (`a_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `comments`
--

CREATE TABLE IF NOT EXISTS `comments` (
  `com_id` int(11) NOT NULL AUTO_INCREMENT,
  `comment` text,
  `msg_id_fk` int(11) DEFAULT NULL,
  `uid_fk` int(11) DEFAULT NULL,
  `ip` varchar(30) CHARACTER SET latin1 DEFAULT NULL,
  `created` int(11) DEFAULT '1269249260',
  `like_count` int(11) DEFAULT '0',
  PRIMARY KEY (`com_id`),
  KEY `msg_id_fk` (`msg_id_fk`),
  KEY `uid_fk` (`uid_fk`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED AUTO_INCREMENT=1 ;

--
-- Tablo için tablo yapısı `comment_like`
--

CREATE TABLE IF NOT EXISTS `comment_like` (
  `clike_id` int(11) NOT NULL AUTO_INCREMENT,
  `com_id_fk` int(11) NOT NULL,
  `uid_fk` int(11) NOT NULL,
  `ouid_fk` int(11) DEFAULT NULL,
  `created` int(11) DEFAULT NULL,
  PRIMARY KEY (`clike_id`),
  KEY `com_id_fk` (`com_id_fk`),
  KEY `uid_fk` (`uid_fk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `configurations`
--

CREATE TABLE IF NOT EXISTS `configurations` (
  `con_id` int(11) NOT NULL AUTO_INCREMENT,
  `forgot` varchar(30) DEFAULT NULL,
  `applicationName` text NOT NULL,
  `applicationDesc` text NOT NULL,
  `applicationLogo` varchar(80) DEFAULT NULL,
  `applicationLogoHeader` varchar(80) DEFAULT NULL,
  `applicationFavicon` varchar(80) DEFAULT NULL,
  PRIMARY KEY (`con_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Tablo döküm verisi `configurations`
--

INSERT INTO `configurations` (`con_id`, `forgot`, `applicationName`, `applicationDesc`, `applicationLogo`, `applicationLogoHeader`, `applicationFavicon`) VALUES
(1, 'forgotkey', 'oobenn || Instagram style Social networking Platform', 'Our script is very fast and usefully. Create your own instagram', 'logo_1466588829.png', 'logo_header1466668638.png', NULL);

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `conversation`
--

CREATE TABLE IF NOT EXISTS `conversation` (
  `c_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_one` int(11) NOT NULL,
  `user_two` int(11) NOT NULL,
  `ip` varchar(30) CHARACTER SET latin1 DEFAULT NULL,
  `time` int(11) DEFAULT NULL,
  PRIMARY KEY (`c_id`),
  KEY `user_one` (`user_one`),
  KEY `user_two` (`user_two`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `conversation_reply`
--

CREATE TABLE IF NOT EXISTS `conversation_reply` (
  `cr_id` int(11) NOT NULL AUTO_INCREMENT,
  `reply` text,
  `user_id_fk` int(11) NOT NULL,
  `ip` varchar(30) CHARACTER SET latin1 NOT NULL,
  `time` int(11) NOT NULL,
  `c_id_fk` int(11) NOT NULL,
  `read_status` int(11) DEFAULT '1',
  PRIMARY KEY (`cr_id`),
  KEY `user_id_fk` (`user_id_fk`),
  KEY `c_id_fk` (`c_id_fk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `favourite`
--

CREATE TABLE IF NOT EXISTS `favourite` (
  `fav_id` int(11) NOT NULL AUTO_INCREMENT,
  `fav_uid` int(11) DEFAULT NULL,
  `fav_msgID` int(11) DEFAULT NULL,
  PRIMARY KEY (`fav_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Tablo için tablo yapısı `friends`
--

CREATE TABLE IF NOT EXISTS `friends` (
  `friend_id` int(11) NOT NULL AUTO_INCREMENT,
  `friend_one` int(11) DEFAULT NULL,
  `friend_two` int(11) DEFAULT NULL,
  `role` varchar(5) CHARACTER SET latin1 DEFAULT NULL,
  `created` int(13) DEFAULT '1411570461',
  PRIMARY KEY (`friend_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED AUTO_INCREMENT=1 ;

--
-- Tablo için tablo yapısı `MainSlider`
--

CREATE TABLE IF NOT EXISTS `MainSlider` (
  `slideID` int(11) NOT NULL AUTO_INCREMENT,
  `slideTitle` text,
  `slideDesc` text,
  `slideImage` text,
  PRIMARY KEY (`slideID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `messages`
--

CREATE TABLE IF NOT EXISTS `messages` (
  `msg_id` int(11) NOT NULL AUTO_INCREMENT,
  `message` text,
  `lovedPost` enum('0','1') NOT NULL DEFAULT '0',
  `hide_show_share` enum('0','1','2','3') NOT NULL DEFAULT '0',
  `hide_show_comment` enum('0','1','2','3') NOT NULL DEFAULT '0',
  `postPrivacy` enum('0','1','2','3') NOT NULL DEFAULT '0',
  `hashTag` varchar(200) DEFAULT NULL,
  `uid_fk` int(11) DEFAULT NULL,
  `shared_uid_fk` int(11) DEFAULT NULL,
  `last_shared_uid_fk` int(11) DEFAULT NULL,
  `shared_msg_id_fk` int(11) DEFAULT NULL,
  `ip` varchar(30) CHARACTER SET latin1 DEFAULT NULL,
  `created` int(11) DEFAULT '1269249260',
  `uploads` text CHARACTER SET latin1,
  `like_count` int(11) DEFAULT '0',
  `comment_count` int(11) DEFAULT '0',
  `share_count` int(11) DEFAULT '0',
  `group_id_fk` int(11) DEFAULT '0',
  PRIMARY KEY (`msg_id`),
  KEY `uid_fk` (`uid_fk`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED AUTO_INCREMENT=1 ;

--
-- Tablo için tablo yapısı `message_like`
--

CREATE TABLE IF NOT EXISTS `message_like` (
  `like_id` int(11) NOT NULL AUTO_INCREMENT,
  `msg_id_fk` int(11) NOT NULL,
  `uid_fk` int(11) NOT NULL,
  `ouid_fk` int(11) DEFAULT NULL,
  `created` int(11) DEFAULT NULL,
  PRIMARY KEY (`like_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Tablo için tablo yapısı `message_share`
--

CREATE TABLE IF NOT EXISTS `message_share` (
  `share_id` int(11) NOT NULL AUTO_INCREMENT,
  `msg_id_fk` int(11) NOT NULL,
  `uid_fk` int(11) NOT NULL,
  `ouid_fk` int(11) DEFAULT NULL,
  `created` int(11) DEFAULT NULL,
  PRIMARY KEY (`share_id`),
  KEY `uid_fk` (`uid_fk`),
  KEY `msg_id_fk` (`msg_id_fk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `notification`
--

CREATE TABLE IF NOT EXISTS `notification` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) DEFAULT NULL,
  `help_status` int(11) NOT NULL DEFAULT '1',
  `group_id_fk` int(11) NOT NULL DEFAULT '0',
  `created` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `reported_post`
--

CREATE TABLE IF NOT EXISTS `reported_post` (
  `r_id` int(11) NOT NULL AUTO_INCREMENT,
  `report_id` int(11) DEFAULT NULL,
  `report_type` varchar(1) DEFAULT NULL,
  `uid_fk` int(11) DEFAULT NULL,
  `ip` varchar(30) DEFAULT NULL,
  `created` int(11) NOT NULL DEFAULT '1269249260',
  PRIMARY KEY (`r_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Tablo için tablo yapısı `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `uid` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(30) CHARACTER SET latin1 DEFAULT NULL,
  `password` varchar(100) CHARACTER SET latin1 DEFAULT NULL,
  `email` varchar(100) CHARACTER SET latin1 DEFAULT NULL,
  `role` enum('0','1','2') NOT NULL DEFAULT '0',
  `registered` int(13) DEFAULT NULL,
  `profile_img` varchar(200) CHARACTER SET latin1 DEFAULT NULL,
  `friend_count` int(11) DEFAULT '0',
  `status` int(1) DEFAULT '1',
  `name` varchar(150) DEFAULT NULL,
  `profile_img_status` int(1) DEFAULT '0',
  `conversation_count` int(11) DEFAULT '0',
  `updates_count` int(11) DEFAULT '0',
  `first_name` varchar(200) CHARACTER SET latin1 DEFAULT NULL,
  `last_name` varchar(200) CHARACTER SET latin1 DEFAULT NULL,
  `gender` enum('1','2','3') DEFAULT '1',
  `birthday` varchar(20) CHARACTER SET latin1 DEFAULT NULL,
  `location` varchar(200) CHARACTER SET latin1 DEFAULT NULL,
  `hometown` varchar(200) CHARACTER SET latin1 DEFAULT NULL,
  `bio` text,
  `u_website` text,
  `fb` varchar(30) DEFAULT NULL,
  `tw` varchar(30) DEFAULT NULL,
  `ins` varchar(30) DEFAULT NULL,
  `yout` varchar(30) DEFAULT NULL,
  `gp` varchar(30) DEFAULT NULL,
  `tel` text,
  `postHide` enum('1','2','3') NOT NULL DEFAULT '1',
  `followerHide` enum('1','2','3') NOT NULL DEFAULT '1',
  `followingHide` enum('1','2','3') NOT NULL DEFAULT '1',
  `socialHide` enum('1','2','3') NOT NULL DEFAULT '1',
  `phoneHide` enum('1','2','3') NOT NULL DEFAULT '1',
  `relationship` varchar(30) CHARACTER SET latin1 DEFAULT NULL,
  `timezone` varchar(10) CHARACTER SET latin1 DEFAULT NULL,
  `provider` varchar(10) CHARACTER SET latin1 DEFAULT NULL,
  `provider_id` int(30) DEFAULT NULL,
  `cover_img` varchar(200) CHARACTER SET latin1 DEFAULT NULL,
  `cover_img_status` int(11) DEFAULT '1',
  `group_count` int(11) DEFAULT '0',
  `last_login` int(13) DEFAULT NULL,
  `profile_bg_position` varchar(20) CHARACTER SET latin1 DEFAULT '0',
  `verified` enum('0','1') CHARACTER SET latin1 DEFAULT '0',
  `notification_created` int(11) DEFAULT NULL,
  `forgot_code` text,
  `photos_count` int(11) DEFAULT '0',
  `tour` enum('0','1') DEFAULT '0',
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED AUTO_INCREMENT=1 ;

--
-- Tablo için tablo yapısı `user_profile_images`
--

CREATE TABLE IF NOT EXISTS `user_profile_images` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `profile_image_path` varchar(30) DEFAULT NULL,
  `uid_fk` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Tablo için tablo yapısı `user_uploads`
--

CREATE TABLE IF NOT EXISTS `user_uploads` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `image_path` varchar(200) CHARACTER SET latin1 DEFAULT NULL,
  `uid_fk` int(11) DEFAULT NULL,
  `group_id_fk` int(11) DEFAULT '0',
  `image_type` enum('0','1','2') CHARACTER SET latin1 DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `uid_fk` (`uid_fk`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED AUTO_INCREMENT=1 ;
